{% extends "base.html" %}
{% block content %}

<div class="post">
	{% if message %}
		<p>{{ message|safe }}</p>
	{% else %}
		<div class="post">
			<h4 class="blog_title">{{ post.title }} - <a href="{% url 'account' post.username %}">{{ post.username }}</a> - {{ post.date }}</h4>
				<div class="blog_content">
					{{ post.content|linebreaks }}
				</div>
				{% if request.user.username == post.username %}
				<div class="edit_links"><a class="sublink" href="{% url 'edit_post' post.ID %}">Edit Post</a> <a class="sublink" href="{% url 'delete_post' post.ID %}">Delete Post</a></div>
				{% endif %}
		</div>
	{% endif %}
</div>
	

{% endblock content %}
